# Class RuntimeError
Runtime error exception.

All Subcl's | BadLexicalCast, EmptyFieldError, ParseError, UnexpectedEnd
Defined in | <seqan/basic.h>
Signature | `typedef std::runtime_error RuntimeError;`

## Member Function Overview

- `RuntimeError::RuntimeError(msg);`
  Constructor.

## Member Functions Detail

### `RuntimeError::RuntimeError(msg);`

Constructor.

#### Parameters

`msg` | The message as a `std::string`.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class RuntimeError
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Runtime error exception.
     *
     * @signature typedef std::runtime_error RuntimeError;
     *
     * @fn RuntimeError::RuntimeError
     *
     * @brief Constructor.
     *
     * @signature RuntimeError::RuntimeError(msg);
     *
     * @param[in] msg The message as a <tt>std::string</tt>.
     */